jXLSのインストールに際しての覚書。

サイトでは、インストールに必要なクラスライブラリの一覧があるが、最新のバージョンのクラスライブラリをインストールしても、サンプルプログラムが実行できません。

いろいろ試した結果、以下のバージョンでサンプルプログラムの動作を確認。

commons-beanutils-1.9.1
commons-collections-3.2.1(最新は、commons-collection4-4.0)
commons-digester-2.1(最新は、commons-digester3-3.2)
commons-jexl-2.1.1
commons-logging-1.1.3
poi-3.10
poi-ooxml-3.10

ちなみに、jXLSのバージョンは、1.0.2。

これから、色々試してみます。

カテゴリー: JavaJava 覚書

0件のコメント

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です